org.eclipse.viatra.cep.vepl.services

## Class VeplGrammarAccess.ModelElementElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.cep.vepl.services.VeplGrammarAccess.ModelElementElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    VeplGrammarAccess

      public class VeplGrammarAccess.ModelElementElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelElementElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives()`
    `org.eclipse.xtext.RuleCall` | `getEventPatternParserRuleCall_1()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.RuleCall` | `getRuleParserRuleCall_2()`
    `org.eclipse.xtext.RuleCall` | `getTraitParserRuleCall_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelElementElements

          public ModelElementElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getAlternatives

          public org.eclipse.xtext.Alternatives getAlternatives()

    - #### getTraitParserRuleCall_0

          public org.eclipse.xtext.RuleCall getTraitParserRuleCall_0()

    - #### getEventPatternParserRuleCall_1

          public org.eclipse.xtext.RuleCall getEventPatternParserRuleCall_1()

    - #### getRuleParserRuleCall_2

          public org.eclipse.xtext.RuleCall getRuleParserRuleCall_2()